# FoundationClasses
TKMath
Bnd

# Bnd_HArray1OfBox Class Reference

`#include <Bnd_HArray1OfBox.hxx>`

Inheritance diagram for Bnd_HArray1OfBox:

[legend]

## Public Member Functions

Standard_EXPORT | Bnd_HArray1OfBox (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Bnd_HArray1OfBox (const Standard_Integer Low, const Standard_Integer Up, const Bnd_Box &V)
Standard_EXPORT void | Init (const Bnd_Box &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Bnd_Box &Value)
const Bnd_Box & | Value (const Standard_Integer Index) const
Bnd_Box & | ChangeValue (const Standard_Integer Index)
const Bnd_Array1OfBox & | Array1 () const
Bnd_Array1OfBox & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Bnd_Array1OfBox | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Bnd_HArray1OfBox::Bnd_HArray1OfBox | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Bnd_HArray1OfBox::Bnd_HArray1OfBox | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Bnd_Box & | V
| ) |

## Member Function Documentation

const Bnd_Array1OfBox& Bnd_HArray1OfBox::Array1 | ( |  | ) | const

Bnd_Array1OfBox& Bnd_HArray1OfBox::ChangeArray1 | ( |  | ) |

Bnd_Box& Bnd_HArray1OfBox::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Bnd_HArray1OfBox::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Bnd_HArray1OfBox::Init | ( | const Bnd_Box & | V | ) |

Standard_Integer Bnd_HArray1OfBox::Length | ( |  | ) | const

Standard_Integer Bnd_HArray1OfBox::Lower | ( |  | ) | const

void Bnd_HArray1OfBox::SetValue | ( | const Standard_Integer | Index,
|  | const Bnd_Box & | Value
| ) |

Standard_Integer Bnd_HArray1OfBox::Upper | ( |  | ) | const

const Bnd_Box& Bnd_HArray1OfBox::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Bnd_Array1OfBox Bnd_HArray1OfBox::myArray `[private]`

The documentation for this class was generated from the following file:

- Bnd_HArray1OfBox.hxx